<?php
//автор - figura
//сайт - http://f-pt.ru
include("../sistem/cfg.dat");
include("../sistem/global.dat");
include("../sistem/functions_mail.dat");
include("../temes/$teme/verh.dat");
//echo'<div class="razd"><B>ПАНЕЛЬ АДМИНИСТРАТОРА</B></div>';
if($status=="admin")
{
//////////////////////////////////////////////////главная//////////////////////////////////////////////////
      if(empty($act)){$act="index";}
      if($act=="add")
      {
         echo'<div class="razd">Рассылка писем ползователям</div>';
         
         if(isset($_POST['txtmail'])){$txtmail = $_POST['txtmail'];}
      	 if(isset($_POST['logmail'])){$logmail = $_POST['logmail'];}
         
         
         $arrdir = scandir("../data/uzer");
         $nom = count($arrdir);
         $i = 0;
         while($i < $nom)
         {
            if ($arrdir[$i] != '.' && $arrdir[$i] != '..' && $arrdir[$i] != "Thumbs.db")
            {
                
                $uzer_cfg = file("../data/uzer/$arrdir[$i]");
                $uzer_cfg = explode("<||>",$uzer_cfg[0]);
                
                if($uzer_cfg[21] =="on")
                {
                   if(filter_var($uzer_cfg[20], FILTER_VALIDATE_EMAIL))
                   {
                      
                      
                      
                      
                      $sit = htmlspecialchars($_SERVER['HTTP_HOST']);
                      addmail("$uzer_cfg[20]","Рассылка с сайта $sit",$txtmail);
                      if($logmail == "on"){ echo str_replace(".dat","",$arrdir[$i]).' - '.$uzer_cfg[20].' - Отправлено!<br>';}
                   }
                }
            }
            ++$i;
         }
         closedir($dh);
         
         echo'Рассылка закончина<br>';
         
         echo'<hr size="2" width="100%">';
         echo'<a href="index.php?">В меню</a><br>';
      }
////////////////////////////////////////////////////////////////////////////////////////
      if($act=="index")
      {
         echo'<div class="razd">Рассылка писем ползователям</div>';
         
         echo'ПОМНИТЕ! Большенство бесплатных хостингов не потдерживают отправку писем!<br><br>';
         
         echo'<form name="forma" action="mail.php?'.SID.'" method="post">';
         echo'<INPUT TYPE="hidden" NAME="act" VALUE="add">';
         echo'Введите текст письма<br>';
         echo'<TEXTAREA NAME="txtmail" ROWS=5 COLS=30></TEXTAREA><br>'; 
         
         echo'Вывести лог по отпраке писем<br>';
         echo'<SELECT NAME="logmail">';
         echo'<OPTION VALUE="on" selected>Да';
         echo'<OPTION VALUE="oof">Нет';
         echo'</SELECT><br>';
         
         echo'<input type="submit" name="" value="Разослать"><br>';
         echo'</form>';
         
         echo'<br>';
         echo'<a href="index.php?">В меню</a><br>';
      }
      
      
      
   }else{
//session_destroy();
echo'<div class="razd">Ошибка</div>';
echo'Нужны права администратора';
echo'<hr size="2" width="100%">';
echo'<a href="index.php?'.SID.'">Назад</a><br>';
}




echo'<a href="../index.php?&amp;'.SID.'">Главная</a><br>';
include("../sistem/global_end.dat");
include("../temes/$teme/niz.dat");
?>